import { Component } from '@angular/core';
import { 
  IonApp, IonHeader, IonToolbar, IonButtons, IonButton, 
  IonIcon, IonContent, IonSearchbar, IonSegment, 
  IonSegmentButton, IonLabel, IonCard, IonCardContent, 
  IonTabBar, IonTabButton, IonRow, IonCol
} from '@ionic/angular/standalone';
import { addIcons } from 'ionicons';
import { 
  personOutline, flashOutline, notificationsOutline, 
  heart, homeOutline, compassOutline, 
  playCircleOutline, barbellOutline, person 
} from 'ionicons/icons';
import { CommonModule } from '@angular/common';

@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss'],
  standalone: true,
  imports: [
    CommonModule, // 导入CommonModule解决*ngFor问题
    IonApp, IonHeader, IonToolbar, IonButtons, 
    IonButton, IonIcon, IonContent, IonSearchbar, 
    IonSegment, IonSegmentButton, IonLabel, IonCard, 
    IonCardContent, IonTabBar, IonTabButton, IonRow, IonCol
  ]
})
export class Tab1Page {
  constructor() {
    addIcons({ 
      personOutline, flashOutline, notificationsOutline, 
      heart, homeOutline, compassOutline, 
      playCircleOutline, barbellOutline, person 
    });
  }
}